/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: include/sgx/core/gamecode/engine.hpp

*/

#ifndef SGX_GAMECODE_ENGINE_HPP
#define SGX_GAMECODE_ENGINE_HPP	1

class CSGXEngine : public CSGXBaseEngine {
public:
	virtual void	initialize();
	virtual void	release();

	virtual tBOOL	registerObject(CGameHandler *ptr);
	virtual tBOOL	unregisterObject(CGameHandler *ptr);
};

#endif /* #define SGX_GAMECODE_ENGINE_HPP */
